GET · Checkout API
GET
GET
/api/v1/menus/{menuId}/products{?date}[Coming soon] Retrieves a collection of products associated with a specific menu.
When a
dateis supplied, only the products available on that date are returned. If nodateis provided, the current date is used by default.The
Accept-Languageheader can be used by the client to specify the preferred language(s) for localized product information.
Parameter
menuIdnumberErforderlichThe unique identifier of the menu.
datedateFilters products by the date they are available on the menu. Format: yyyy-MM-dd
Request-Header
Content-Typeapplication/json; charset=utf-8AuthorizationToken <accessToken>Accept-Language<localeIdentifier>Originaler Blueprint-Ausschnitt
API Blueprint
### GET [GET]
**[Coming soon]** Retrieves a collection of products associated with a specific menu.
+ When a `date` is supplied, only the products available on that date are returned. If no `date` is provided, the current date is used by default.
+ The `Accept-Language` header can be used by the client to specify the preferred language(s) for localized product information.
+ Parameters
+ menuId (number, required) - The unique identifier of the menu.
+ date (date, optional) - Filters products by the date they are available on the menu. Format: `yyyy-MM-dd`
+ Request (application/json; charset=utf-8)
+ Headers
Authorization: Token <accessToken>
Accept-Language: <localeIdentifier>
+ Response 200 (application/json; charset=utf-8)
+ Attributes (object)
+ gtin: `6383738268077` (string) - The GTIN of the product.
+ plu: `QNI-1757944121588` (string, required) - The PLU of the product, which has to be unique.
+ name: `Project Mango Fusion` (string) - The internal name of the product.
+ displayName: `Spiced Mango Coconut Stir-Fry` (string) - The localized (external) name of the product.
+ pictureUrl: `https://files.qnips.com/livepics/qnips-casino-hannover_2024.02.27_16.51.18.jpg` (string) - The picture url of the product.
+ Body
[
{
"gtin": "6383738268077",
"plu": "QNI-1757944121588",
"name": "Project Mango Fusion",
"displayName": "Spiced Mango Coconut Stir-Fry",
"pictureUrl": "https://files.qnips.com/livepics/qnips-casino-hannover_2024.02.27_16.51.18.jpg"
}
]
+ Schema
{
"type": "array",
"items": {
"type": "object",
"properties": {
"gtin": {
"type": "string"
},
"plu": {
"type": "string"
},
"name": {
"type": "string"
},
"displayName": {
"type": "string"
},
"pictureUrl": {
"type": "string",
"format": "uri"
}
}
}
}